// project created on 24.10.2001 at 22:19
using System;
using System.Windows.Forms;
using System.Drawing;

class MyMenuItem : MenuItem
{
	public  MyMenuItem( string text, EventHandler onClick): base(text, onClick)
	{
		
	}
	
	protected override void OnDrawItem(DrawItemEventArgs e)
	{
			base.OnDrawItem(e);
			Graphics  g      = e.Graphics;
			Rectangle l 	 =  e.Bounds;
			l.Width=l.Width-1;
			l.Height=l.Height-1;
			Pen p = new Pen(Color.Blue); 
			g.DrawRectangle(p,l);
				
	}
	
	
	
	protected override void OnMeasureItem(MeasureItemEventArgs e)
	{
		base.OnMeasureItem(e);
		e.ItemHeight = 18;
	}
	
}

class MainForm : Form
{

	MenuItem MenuNew;

	public MainForm()
	{
		Text = "Easy Draw";
		MainMenu mnuMenu = new MainMenu();
		this.Menu = mnuMenu;
		MenuItem MenuItemFile = new MenuItem("&File");
		MenuNew = new MenuItem("New");
		MenuItem  MenuOpen = new MenuItem("Open");
		MyMenuItem  MenuExit = new MyMenuItem("Exit",new System.EventHandler(this.MenuExit_Click));
		MenuExit.OwnerDraw=true;
		MenuItemFile.MenuItems.Add(MenuNew);
		MenuItemFile.MenuItems.Add(MenuOpen);
		MenuItemFile.MenuItems.Add(MenuExit);
		mnuMenu.MenuItems.Add(MenuItemFile);

	}
	
	private void MenuExit_Click(Object sender, EventArgs e)
	{
   		MessageBox.Show("Exit"); 
	} 

	

	public static void Main(string[] args)
	{
		Application.Run(new MainForm());
	}
}
